/******************************************************************************/
/*Files to Include                                                            */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */

#include "system.h"

/* Refer to the device datasheet for information about available
oscillator configurations. */
void ConfigureOscillator(void)
{
    /* TODO Add clock switching code if appropriate.  */
    /* Typical actions in this function are to tweak the oscillator tuning
    register, select new clock sources, and to wait until new clock sources
    are stable before resuming execution of the main project. */

    // Using HFINTOSC (High frequency internal oscillator) @ 4 MHz
    // Set the frequency to 4 MHz. IRFC<2:0>
    IRCF2 = 1;
    IRCF1 = 1;
    IRCF0 = 0;
    // Set the system clock source to Internal Oscillator
    SCS = 1;
    
    __delay_ms(10);
}
